Package twisted :: Package protocols :: Module ftp :: Class SendFileTransfer |
[frames | no frames]

## Class SendFileTransfer

Producer, server to client

Method Summary
| `__init__(self, file, filesize, request)`
| `pauseProducing(self)`
| `resumeProducing(self)`
| `stopProducing(self)`

Class Variable Summary
`class` | `__implements__` = `twisted.internet.interfaces.IProducer`
`NoneType` | `file` = None
`NoneType` | `filesize` = None
`NoneType` | `request` = None

Class Variable Details

    ### file Type: `NoneType` Value:
        None

    ### filesize Type: `NoneType` Value:
        None

    ### request Type: `NoneType` Value:
        None

Generated by Epydoc 2.0 on Sat Oct 25 00:54:56 2003 | http://epydoc.sf.net